package com.stdproject.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 应用系统_菜单
 *
 * @author StdProject
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("app_menu")
public class AppMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 应用ID 关联应用系统
     */
    private String appId;

    /**
     * 菜单类型  01-菜单
     */
    private String type;

    /**
     * 菜单编号
     */
    private String code;

    /**
     * 同级序号
     */
    private Integer orderno;

    /**
     * 菜单名称
     */
    private String name;

    /**
     * 菜单图标 base64存储
     */
    private String icon;

    /**
     * 是否外链 0-非外部  1-是外链
     */
    private String islink;

    /**
     * 菜单URL 内部资源页面URL访问地址
     */
    private String url;

    /**
     * 模块ID 菜单关联的模块ID
     */
    private String moduleId;

    /**
     * 父级菜单ID 顶级为0
     */
    private String parentid;

    /**
     * 是否显示 0-不显示 1-显示
     */
    private String isdisplay;

    /**
     * 最近修改者
     */
    private String lastmodifier;

    /**
     * 最近修改日期
     */
    private LocalDateTime lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;

}